+++
title = 'Weeknotes 2024: 11/52'
date = 2024-03-17T16:42:00Z
draft = true
+++

This is my first weekly note, and it feels pretty awkward writing about things I've done. I haven't done a huge amount of writing in the past, but when I have it's always been a *thing*. Like "this is a project, these are the cool things about it, this is how it was made". This is more personal I guess. I'm sure I'll get used to it quickly but for now, Awkward.

The first half of my week was pretty boring, I didn't really do much. On my standard day I walk my dog a couple times, read 2 or 3 chapters of a book (I'm currently re-reading the Wheel of Time), and play games for a bit in the evening. That's basically all Monday to Wednesday was. At least I can't remember anything else interesting happening. Wednesday was when I started thinking about blogging and writing about things in general, so that's when I became more conscious of my daily experiences and stuff. I ended up purchasing this domain and spinning up a VPS later that evening.

Thursday is where more interesting things start happening. I work from home on Thursday's, and it's a good thing I do because we had a minor disaster on the farm (yes I live on an actual honest to god farm with tractors and everything). My sister has a horse (she's called Shakiah (the horse not my sister)), and she decided to make a daring escape. I had to help her recover the horse, and we ended up walking about 5 kilometers each way tracking hoof across 8 crop fields. Good exercise and all that, but I'd rather not do it again.

// TODO: Insert picture of Shakiah

Recently I've been watching my friend 7thArmstrong streaming some speedruns on [his twitch channel](https://twitch.tv/7tharmstrong). He's been running an old N64 game called Rocket: Robot on Wheels, and a recent climbing game called Jusant. I started playing both of them a bit myself (they're good!). Seeing him speedrun got me inspired to pick up speedrunning again, learning new games and revisiting ones I've ran before. I figured a good place to start was the first game I ever ran, Out There Somewhere.

// TODO: Insert picture of my time here

Friday morning was spent relearning and doing some initial de-rust runs of the game. I decided to stream my runs like I used to. By the end of it I'd got a new personal best time by almost 2 and a half minutes. Seems like I was really bad back when I started speedrunning huh?

After streaming (and lunch) I started looking into what tech I wanted to use for blogging and self hosting stuff in general. What I settled on to start with was:
- [Portainer](https://www.portainer.io/) to manage my [docker](https://www.docker.com/) containers,
- [Gitea](https://about.gitea.com/) to host a git server,
- [SWAG](https://docs.linuxserver.io/general/swag/) for SSL certificates, reverse proxying, and authentication (with Fail2Ban),
- and [Hugo](https://gohugo.io/) for the main site and blogging.

With the exception of SWAG I've used all these technologies before so setting them up was fairly quick and painless. Previously I've done reverse proxying somewhat manually, but SWAG makes it incredibly easy. All of the services I'm using for now have existing proxy configs which I used, and adding an unsupported service is as simple as copying and modifying an existing template. With the basics set-up I posted my [first post]({{<ref "/hello-friends">}}) which felt good and cool.

One thing I didn't get a chance to do at the time was automatic deployment of blog posts. The initial Hugo site and first blog post were manually uploaded to the server, which is not something I want to do each time I post. The less friction between writing and seeing a post the better. There's an existing GitHub Action for deploying a Hugo site to GitHub pages, which allows you to automatically build and deploy your site by making a commit to a repository. Gitea also has Actions, and you can even use most GitHub Actions with it which is super neat and cool. I had to setup an action runner (which just required adding another image to the stack in Portainer), but it wasn't very hard following the docs. What was a bit of a pain however was modifying the Hugo deployment action to work with my repository. For one thing, I wasn't using GitHub pages, so I needed to add a run action to copy the built website over to the appropriate place on my server using `rsync`. And for another, the repository checkout action wasn't working! My Gitea is hosted on a subfolder (`https://jayrude.dev/gitea`) rather than a sub-domain (`https://gitea.jayrude.dev`) and the subfolder was getting dropped. I found [this issue](https://github.com/actions/checkout/issues/1370) which says that it won't be fixed because they don't officially support non-GitHub servers. Luckily someone there linked a fork of the action which fixes it, so I just moved over to that instead and everything worked.

I have a cute Border Collie puppy called Calliope and she's just about to turn 6 months old. Because we're on a farm she's a little bit isolated from other dogs. We've taken puppy training classes which are in a group, so she's had a bit of socialisation, but it's all been on-lead stuff. So to help with her socialisation we booked a spot at a puppy social event on Saturday afternoon ran by the training school. Calliope has an insane amount of energy, she's a Border Collie, of course she does. I spent all morning trying to wear her out a bit because I didn't want her to be too overwhelming for the younger dogs. We went for our morning 2.5k walk, played frisbee in the garden, and splashed around in my niece's paddling pool, and by the end of it she had a bit of a rest before we headed out.

// TODO: Add picture of Calliope

The puppy social was fantastic. I didn't take any pictures, so just imagine 10-15 puppies having fun for an hour. Calliope's first off-lead session was with 2 labradors who had already had a minute to get friendly. She avoided them for a bit, just sniffing around the outside until they noticed her and came over to say hello. She was a bit nervous so we paused and gave her some space. Her next session she came in with some smaller fluffy dogs (I don't know their breeds sorry!) and she loved it. Most of the other puppies that weren't tiny got brought in at this point and they all had their own little groups of play which was nice. Calliope was really good at reading the tone of other dogs and respecting their boundaries which was great! She liked being chased and being the chaser, but she's much faster than the other dogs and made sure to match their pace, stop when they stopped, and take turns. We also got to see one of the puppies from her training classes, a German Shepherd called Logan. He's really cute, but unfortunately a bit too reactive so he didn't get an opportunity to go off-lead.

This week ended up being my first week hitting 50km of tracked walks on Strava! Usually I'm at around 40km, so this was a nice little push. It did however knacker me out, so today (Sunday) I've mostly just been relaxing. Of course I still had to give the pup her morning, lunch, and evening walks (did I mention she has a lot of energy).

// TODO: Add picture of strava

Damn I actually kind of did a lot this week huh? I imagine that most weeks aren't going to be this eventful and the weeknotes will be a lot shorter and blander. This feels like a good one to start on though. See you next week! :)